/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.store.journal;

import org.codehaus.activemq.store.PersistenceAdapter;
import org.codehaus.activemq.test.QueueMessageStoreTestSupport;

/**
 * Tests the JournalPersistenceAdapter
 *
 * @version $Revision: 1.4 $
 */
public class JournalQueueMessageStoreTest extends QueueMessageStoreTestSupport {
    
    JournalTestHelper helper = new JournalTestHelper();
    
    protected PersistenceAdapter createPersistenceAdapter() throws Exception {
        return helper.createPersistenceAdapter(JournalPersistenceAdapter.DEFAULT_JOURNAL_TYPE);
    }

}
