/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.store.bdbn;

import javax.jms.JMSException;

import org.codehaus.activemq.message.ConsumerInfo;
import org.codehaus.activemq.service.MessageIdentity;
import org.codehaus.activemq.service.SubscriberEntry;
import org.codehaus.activemq.service.Subscription;
import org.codehaus.activemq.store.TopicMessageStore;

/**
 * An implementation of {@link org.codehaus.activemq.store.TopicMessageStore} using
 * <a href="http://www.sleepycat.com/">native C Berkeley DB</a>
 *
 * @version $Revision: 1.4 $
 */
public class BDbTopicMessageStore extends BDbMessageStore implements TopicMessageStore {

    public void incrementMessageCount(MessageIdentity messageId) throws JMSException {
        /** TODO */
    }

    public void decrementMessageCountAndMaybeDelete(MessageIdentity messageIdentity) throws JMSException {
        /** TODO */
    }

    public void setLastAcknowledgedMessageIdentity(String subscription, MessageIdentity messageIdentity) throws JMSException {
        /** TODO */
    }

    public void recoverSubscription(Subscription subscription, MessageIdentity lastDispatchedMessage) {
        /** TODO */
    }

    public MessageIdentity getLastestMessageIdentity() throws JMSException {
        return null;  /** TODO */
    }

    public SubscriberEntry getSubscriberEntry(ConsumerInfo info) throws JMSException {
        return null;  /** TODO */
    }

    public void setSubscriberEntry(ConsumerInfo info, SubscriberEntry subscriberEntry) throws JMSException {
        /** TODO */
    }

    public void stop() throws JMSException {
        super.stop();    /** TODO */
    }

    public void deleteSubscription(String subscription) throws JMSException {
        /** TODO */
    }
}
